package com.sdtool.common.datas;

import com.alibaba.fastjson2.TypeReference;
import com.sdtool.common.entity.base.IdIntValueItem;
import com.sweetfish.util.TypeToken;

import java.lang.reflect.Type;
import java.util.List;
import java.util.Map;

/**
 * Created by jlutt on 2022-08-18
 *
 * @author jlutt
 */
public final class LocalTypeToken {

    public static Type listString;

    public static Type listIdIntValueItem;

    public static TypeReference<Map<String, String>> fastJsonMapString;

    static {
        listString = new TypeToken<List<String>>() {
        }.getType();

        listIdIntValueItem = new TypeToken<List<IdIntValueItem>>() {
        }.getType();

        fastJsonMapString = new TypeReference<Map<String, String>>() {
        };
    }

    public static void init() {
        //nothing
    }
}
